Subject: Offline Message from Nick: Hello. I'm very interested in the swagger 8 foldab
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 15 Nov 2019 14:17:23 -0000

From: Nick <[email-masked]>
Phone: 
Location: Las Vegas, United States
URL: https://swagtron.com/product/swagger-8-foldable-electric-scooter-kids-teens-kick-start-motor-dual-suspension/
Department: SwagTron

Hello. I'm very interested in the swagger 8 foldable electric scooter. But I'm curious about the weight limit. Other websites list the weight limit at 150lbs but yours lists it as 220lbs. Now, I weigh 180 and I would like to use this traveling trade shows and convention centers for my job. Would you recommend this scooter? About what range would I get with my weight?  Keep up the good work!

Nick

----
Zopim
https://www.zopim.com